StandardIndexReaderFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.core.StandardIndexReaderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class StandardIndexReaderFactory

    java.lang.Object
      org.apache.solr.core.IndexReaderFactory
          org.apache.solr.core.StandardIndexReaderFactory

All Implemented Interfaces:
  NamedListInitializedPlugin

    public class StandardIndexReaderFactory

extends IndexReaderFactory

Default IndexReaderFactory implementation. Returns a standard Lucene IndexReader.

See Also:
  `IndexReader.open(Directory)`

Field Summary

Fields inherited from class org.apache.solr.core.IndexReaderFactory
`termInfosIndexDivisor`

Constructor Summary
`StandardIndexReaderFactory()`

Method Summary
`IndexReader` | `newReader(Directory indexDir, boolean readOnly)` Creates a new IndexReader instance using the given Directory.

Methods inherited from class org.apache.solr.core.IndexReaderFactory
`getTermInfosIndexDivisor, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardIndexReaderFactory

    public StandardIndexReaderFactory()

Method Detail

### newReader

    public IndexReader newReader(Directory indexDir,
                                 boolean readOnly)
                          throws IOException

  Description copied from class: `IndexReaderFactory`
  Creates a new IndexReader instance using the given Directory.

  Specified by:
    `newReader` in class `IndexReaderFactory`
  Parameters:
    `indexDir` - indexDir index location
    `readOnly` - return readOnly IndexReader
  Returns:
    An IndexReader instance
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD